# script0901.py - Populate the Record High Temps Dictionary
# Author: Blum and Bresnahan
# Date: May
###########################################################
#
# Populate dictionary for Record High Temps (F) during May in Indianapolis
print()
print("Enter the record high temps (F) for May in Indianapolis...")
#
may_high_temp={}		    #Create empty dictionary
#
for may_date in range(1, 31 + 1):  #Loop to enter temps
#
	# Obtain record high temp for date
	prompt="Record high for May " + str(may_date) + ": "
	record_high=int(input(prompt))
        #
	# Put element in dictionary
	may_high_temp[may_date]=record_high
#
###########################################################
# Display Record High Temps Dictionary
#
print()
print("Record High Temperatures (F) in Indianapolis during Race Month")
#
date_keys=may_high_temp.keys()   #Obtain list of element keys
#
for may_date in date_keys:         #Loop to display key/value pairs
	print("May", may_date, end = ': ')
	print(may_high_temp[may_date])
#
######################################################### 
